# free-for-dev
Developers and Open Source authors now have a massive amount of services offering free tiers, but it can be hard to find them all in order to make informed decisions.

This is list of software (SaaS, PaaS, IaaS, etc.) and other offerings that have free tiers for developers.

The scope of this particular list is limited to things infrastructure developers (System Administrator, DevOps Practitioners, etc.) are likely to find useful. We love all the free services out there, but it would be good to keep it on topic.  It's a bit of a grey line at times so this is a bit opinionated; do not be offended if I do not accept your contribution.

You can help by sending Pull Requests to add more services. Once I have a good set of links in this README file, I'll look into a better layout for the information and links (help with that is appreciated too).

If you're not inclined to make PRs you can tweet me at ```@ripienaar```

Table of Contents
=================

   * [Source Code Repos](#source-code-repos)
   * [Tools for teams &amp; Collaboration](#tools-for-teams--collaboration)
   * [Code Quality](#code-quality)
   * [Code Search and Browsing](#code-search-and-browsing)
   * [CI / CD](#ci--cd)
   * [Security and PKI](#security-and-pki)
   * [Management Systems](#management-systems)
   * [Log Management](#log-management)
   * [Translation Management](#translation-management)
   * [Analytics](#analytics)
   * [Monitoring](#monitoring)
   * [Crash / Exception handling](#crash--exception-handling)
   * [Search](#search)
   * [Email](#email)
   * [CDN and Protection](#cdn-and-protection)
   * [PaaS](#paas)
   * [BaaS](#baas)
   * [Web Hosting](#web-hosting)
   * [IaaS](#iaas)
   * [DBaaS](#dbaas)
   * [STUN, WebRTC, Web Socket Servers and other Routers](#stun-webrtc-web-socket-servers-and-other-routers)
   * [Issue tracking / Project management](#issue-tracking--project-management)
   * [Storage and Media Processing](#storage-and-media-processing)
   * [Data Visualization on Maps](#data-visualization-on-maps)
   * [Package Build Systems](#package-build-systems)
   * [IDE and Code Editing](#ide-and-code-editing)
   * [Analytics, Events and  Statistics](#analytics-events-and--statistics)
   * [International Mobile number verification API and SDK](#international-mobile-number-verification-api-and-sdk)
   * [Payment / Billing Integration](#payment--billing-integration)
   * [Other Packs](#other-packs)
   * [Docker Related](#docker-related)
   * [Alternate container hosting](#alternate-container-hosting)
   * [Vagrant Related](#vagrant-related)
   * [Vagrant box indexes](#vagrant-box-indexes)
   * [Data mining](#data-mining)

## Source Code Repos

  * https://bitbucket.org/ - Free unlimited public and private repos (git and mecurial) for up to 5 users
  * http://chiselapp.com/ - Unlimited public and private Fossil repositories
  * https://github.com - Free for an unlimited number of public repositories
  * https://about.gitlab.com/ - Unlimited public and private git repos with unlimited collaborators
  * https://hub.jazz.net/ - Unlimited public repos, private repos free for up to 3 accounts.
  * https://visualstudio.com - Free unlimited private repos (Git and TFS) for up to 5 users per team
  * https://assembla.com - Free repo hosting in a free plan.

## Tools for teams & Collaboration

  * http://appear.in/ - One click video conversations, for free
  * http://www.hall.com/ - Free for unlimited users with some feature limitations
  * https://www.flowdock.com/ - Chat and inbox, free for teams of 5 or less
  * https://slack.com - Free for unlimited users with some feature limitations
  * https://hipchat.com - Free for unlimited users with some feature limitations
  * https://gitter.im - "Chat, for GitHub". Unlimited public & private rooms, free for teams of up to 25
  * http://www.google.com/hangouts/ - One place for all your Conversations, for free (Need Google Account)
  * https://kato.im - Team Chat & Collaboration, free for unlimited users with some feature limitations
  * http://seafile.com/ - Private or cloud storage, file sharing, sync, discussions. Private version is full. Cloud version has just 1 GB.
  * https://sameroom.io - Free for unlimited users with some feature limitations
  * https://yammer.com/ - Private social network standalone or for MS Office 365. Free, just a bit less admin tools and users management features.
  * https://www.blockspring.com/ - Share scripts with anyone on your team: cross language and with spreadsheet users. Free for 5 million runs a month.
  * https://helpmonks.com/ - Shared inbox for teams - Free for open source projects and non-profit organizations.
  * http://typetalk.in/ - Share and discuss ideas with your team through instant messaging on the web or on your mobile.

## Code Quality

  * http://tachikoma.io - Dependency Update for Ruby, Node.js, Perl projects - free for Open Source
  * https://landscape.io/ - Code Quality for Python projects, free for Open Source
  * https://codeclimate.com/ - Automated code review, free for Open Source
  * https://houndci.com/ - Comments on github commits about code quality - free for Open Source
  * https://coveralls.io/ - Display test coverage reports - free for open source
  * https://scrutinizer-ci.com/ - Continuous inspection platform - free for Open Source
  * https://codecov.io/ - Code coverage tool (SaaS), free for 1 private project and no restrictions for publics repos
  * https://insight.sensiolabs.com/ - Code Quality for PHP/Symfony projects, free for Open Source
  * https://www.codacy.com/ - Automated code reviews for PHP, Python, Javascript, Scala and CSS - free for open source
  * https://www.pullreview.com - Automated Code Review for Ruby in GitHub, Bitbucket and Gitlab - free for Open Source

## Code Search and Browsing
  * https://sourcegraph.com/ - Java, Go, Python, Node.js, etc., code search/cross-references - free for open source
  * https://searchcode.com/ - comprehensive text-based code search - free for open source

## CI / CD

  * https://codeship.com/ - 100 private builds / month, 5 private projects.  Unlimited for Open Source
  * https://circleci.com - Free for one concurrent build
  * https://travis-ci.org - Free for public Github repositories.
  * http://wercker.com/ - Free for public and private repositories
  * https://drone.io/ - CI platform that includes browser testing, free for Open Source
  * https://semaphoreci.com/ - 100 private builds / month. Unlimited for Open Source.
  * http://www.shippable.com/ - Free for 1 build container, private and public repos, unlimited builds.
  * https://snap-ci.com - Free for public repositories, 1 build at the time
  * http://www.appveyor.com/ - CD service for Windows. Free for open-source projects.
  * [Comparison of Continuous Integration services](https://github.com/ligurio/Continuous-Integration-services)
  * https://saucelabs.com/ - CI with scalable testing for mobile and web apps, free for Open Source
  * http://ftploy.com/ - 1 project w/ unlimited deployments
  * https://deployhq.com/ - 1 project w/ 10 daily deployments
  * https://hub.jazz.net/ - 60 minutes of free build time / month.
  * https://styleci.io/ - Public GitHub repositories only.

## Security and PKI

  * http://vaddy.net - Continuous web security testing with continuous integration (CI) tools. 3 domains, 10 scan history for free
  * https://www.globalsign.com/en/ssl/ssl-open-source/ - Free SSL certs for Open Source projects
  * https://www.startssl.com/ - Free SSL certs
  * https://stormpath.com/ - Free user management, authentication, social login, and SSO.
  * https://auth0.com/ - Hosted free for development SSO
  * https://getclef.com/ - New take on auth unlimited free tier for anyone not using premium features
  * https://ringcaptcha.com/ - Tools to use phone number as id, available for free
  * https://www.ssllabs.com/ssltest/ - Very deep analysis of the configuration of any SSL web server
  * https://qualys.com/forms/freescan/owasp/ - Find web app vulnerabilities, audit for OWASP Risks
  * [alienvault.com ThreatFinder](https://www.alienvault.com/open-threat-exchange/threatfinder) - Uncovers compromised systems in your network
  * https://duosecurity.com - Two-factor authentication (2FA) for website or app. Free 10 users, all authentication methods, unlimited, integrations, hardware tokens.
  * https://www.tinfoilsecurity.com/ - Automated vulnerability scanning. Free plan = weekly XSS scans.

## Management Systems

  * https://opbeat.com/ - Release, deploy, monitor.  Free for 3 users
  * https://bitnami.com/ - Deploy prepared apps on IaaS. Management of 1 AWS micro instance free

## Log Management

  * https://papertrailapp.com/ - 48 hours search, 7 day archive, 100MB/month
  * https://logentries.com/ - Free up to 5GB/month with 7 day retention
  * https://www.loggly.com/ - Free for a single user, see the ```lite``` option
  * http://sematext.com/logsene - Free for 1M logs, unlimited retention
  * https://www.sumologic.com - Free up to 500MB/day, 7 day retention

## Translation Management

 * https://lingohub.com - free up to 3 users, Open Source projects are always free
 * https://www.getlocalization.com/ - free for public projects
 * http://webtranslateit.com - free up to 500 strings
 * http://transifex.com - free for Open Source projects
 * http://www.oneskyapp.com/ - limited free edition for up to 5 users, free for Open Source projects
 * https://crowdin.com - Unlimited projects, unlimited strings and collaborators for Open Source projects

## Analytics

  * http://www.splunk.com/en_us/products/splunk-cloud.html - Upload 5GB of data per day up to 28GB of total data stored
  * https://parse.com - Unlimited free analytics
  * https://keen.io - Up to 50,000 events/month free

## Monitoring

  * http://www.appneta.com - Free with 1 hour data retention
  * https://www.thousandeyes.com  - Network & user experience monitoring. 3 locations, plus 20 data feeds of major web services free.
  * https://www.datadoghq.com/ - Free for up to 5 nodes
  * http://www.stackdriver.com/ - Free for up to 10 nodes/services
  * https://keymetrics.io/ - Free for 2 servers with 7 days data retention
  * http://newrelic.com/ - Free with 24 hour data retention
  * https://nodequery.com/ - Free basic server monitor up to 10 servers
  * https://www.pingdom.com/free/ - 1 site free
  * http://www.watchsumo.com/ - Free website uptime monitoring
  * https://www.opsgenie.com/ - Alert management with mobile push. 600 free alerts for 2 users a month
  * https://www.runscope.com/ - Monitor and log API usage.  Single user 10,000 request/month free
  * http://www.circonus.com/ - Free for 20 metrics
  * https://uptimerobot.com/ - Website monitoring, 50 monitors free
  * https://www.statuscake.com/ - Website monitoring, unlimited tests free with limitations
  * http://www.boundary.com/ - Free 1 second resolution for up to 10 servers
  * https://ghostinspector.com/ - Free website and web application monitoring. Single user, 100 test runs per month
  * http://java-monitor.com/ - Free monitoring of JVM's and uptime
  * http://sematext.com/spm - Free for 24h metrics, unlimited number of servers, 10 custom metrics, 500K custom metrics data points, unlimited dashboards, users, etc.
  * https://sealion.com/ - Free up to 2 servers, 3 days data retention, graphs and raw command output history (`top`, `ps`, `ifconfig`, `netstat`, `iostat`, `free`, custom, etc.)
  * https://www.stathat.com - Get started with ten stats for free, no expiration.
  * https://www.skylight.io - Free for first 100k requests
  * https://www.appdynamics.com - Free for 24h metrics, application performance management agents limited to one Java, one .NET, one PHP, and one Node.js
  * https://deadmanssnitch.com - Monitoring for cron jobs. 1 free snitch (monitor) - more available if you refer others to sign up

## Crash / Exception handling

  * https://rollbar.com/ - Exception and error monitoring, free plan - 5000 errors/month, unlimited users, 30 days retention.
  * https://bugsnag.com/ - Free for up to 2000 errors a month after the initial trial
  * https://airbrake.io/ - Free for 1 project, 1 user, 2 errors per minute, 2 day retention
  * http://getsentry.com/ - Sentry tracks app exceptions in realtime, has a small free plan. Free, unrestricted use if self-hosted.

## Search

  * https://www.algolia.com - Hosted search-as-you-type (instant). Free hacker plan up to 1,000 documents and 50,000 operations. Bigger free plans available for community/open source projects.
  * https://swiftype.com - hosted search solution (API and crawler). Free for a single search engine with up to 1000 documents. Free upgrade to Premium level for open-source projects.
  * https://bonsai.io - Free 1GB memory and 1GB storage.
  * http://www.searchly.com - Free 2 Indices and 5MB storage.

## Email

  * http://www.sparkpost.com/ - First 10,000 emails per month are free
  * http://www.mailgun.com/ - First 10,000 emails per month are free
  * http://mailchimp.com/ - 2,000 subscribers and 12,000 emails per month are free
  * https://sendloop.com/ - 2,000 subscribers and 10,000 email delivery every month is free
  * http://sendgrid.com/ - 400 emails per day for free/25,000 free transactional emails per month for emails sent from a Google compute instance
  * http://mandrill.com/ - First 12,000 emails per month are free
  * https://www.phplist.com/ - Hosted version allow 300 mails per month for free
  * https://www.mailjet.com/ - 6000 mails per month for free
  * https://www.sendinblue.com/ - 9000 mails per month for free
  * https://mailtrap.io - fake SMTP server for development, free plan with 1 inbox, 50 messages, no team members, 2 emails/sec, no forward rules
  * https://mailstache.io - 4 Mailboxes @ 1GB each for up to 2 custom domains.
  * https://postmarkapp.com - First 25,000 emails are free
  * https://www.zoho.com/mail/ - Free Email management and collaboration for up to 10 users.
  * http://moosend.com/ — Mailing list management service. Free account for 6 months for startups.

## CDN and Protection

  * http://www.cloudflare.com/ - Basic service is free, good for a blog
  * http://www.bootstrapcdn.com/ - CDN for bootstrap, bootswatch and font awesome
  * https://surge.sh - Zero-bullshit, single–command, bring your own source control web publishing CDN.
  * https://cdnjs.com/ - CDN for JavaScript libraries, CSS libraries, SWF, images, etc!
  * http://www.jsdelivr.com/ - super-fast CDN of OSS (JS, CSS, fonts) for developers and webmasters, accepts PRs to add more
  * https://developers.google.com/speed/libraries/ - The Google Hosted Libraries is a content distribution network for the most popular, open-source JavaScript libraries.
  * https://www.asp.net/ajax/cdn - The Microsoft Ajax Content Delivery Network (CDN) hosts popular third party JavaScript libraries such as jQuery and enables you to easily add them to your Web application
  * https://toranproxy.com/ - Proxy for Packagist and GitHub. Never fail CD. Free for personal use, 1 developer, no support.
  * http://rawgit.com - free limited traffic, serves raw files directly from GitHub with proper Content-Type headers.

## PaaS

  * https://cloud.google.com/appengine/ - Google App Engine gives 28 instance hours free, 1Gb NoSQL Database and more.
  * https://www.engineyard.com - Engine Yard provides 500 free hours
  * http://azure.microsoft.com/ - MS Azure gives $200 worth of free usage for a trial
  * http://hpcloud.com/ - $300 credit over 90 days.
  * https://appharbor.com/ - A .Net PaaS that provides 1 free worker
  * https://shellycloud.com/ - Platform for hosting Ruby and Ruby on Rails apps. Shelly Cloud gives €20 free credit
  * https://www.heroku.com/ - Host your apps in the cloud, free for single process apps
  * https://www.firebase.com/ - Build realtime apps, free plan has 50 Max Connections, 5 GB Data Transfer, 100 MB Data Storage. 1 GB Hosting Storage and 100 GB Hosting Transfer.
  * https://bluemix.net/ - IBM PaaS with a monthly free allowance
  * https://www.openshift.com/ - Red Hat PaaS, free tier provides three small gears (each with 512MB memory, 1GB storage). {[Browse one-click deployments](https://hub.openshift.com/)}.
  * https://scalingo.com - Free Tier, up to 3 apps, 1 container each, combined with data store addons free tier
  * https://algorithmia.com - Host algorithms for free - includes 10,000 credits (seconds of on-demand execution time) free
  * https://bigml.com/ - Hosted machine learning algorithms. Unlimited free tasks for development, limit of 16MB data per task
  * https://www.activestate.com/stackato/ - Enterprise-hardened Cloud Foundry PaaS from ActiveState, for private, public and hybrid cloud, free up to 20GB
  * http://www.outsystems.com/ - Enterprise web development PaaS for on-premise or cloud, free "personal environment" offering allows for unlimited code and up to 1GB database.
  * https://platform.telerik.com/ - Build and deploy mobile applications using Javascript. Free plan has 100 MB Data Storage, 1GB File storage, 5GB Bandwidth, 1 million push notifications for BaaS offering, 100 active devices for analytics.
  * http://scn.sap.com/docs/DOC-56411 - The in-memory Platform-as-a-Service offering from SAP. Free developer accounts come with 1GB structured, 1GB unstructured, 1GB of Git data and allow you to run HTML5, Java and HANA XS apps.
  * https://www.mendix.com/ - Rapid Application Development for Enterprises - Unlimited number of free sandbox environments supporting 10 users, 100MB of files and 100MB database storage each.

## BaaS

  * http://apigee.com/docs/api-baas (product docs), http://apigee.com/docs/developer-vs-edge (registration) - Unlimited trial includes NoSQL data store with 25GB of storage, user and permission management, geolocation, 10,000,000 push notifications per month, remote configuration, beta and A/B split testing, APM, fully API driven.  Accessible and manageable via UI, SDK, and API.
  * http://appacitive.com/ - Mobile backend, free for the first 3 months with 100k API calls,Push notifications.
  * https://bip.io/ - A web-automation platform for easily connecting web services. Fully open GPLv3 to power the backend of your open-source project.  Commercial OEM License available.
  * https://www.blockspring.com/ - Cloud functions. Free for 5 million runs a month.
  * https://www.contentful.com - Content as a Service. Content Management & Delivery APIs in the cloud. 3 users, 3 spaces (repositories) and 1,000,000 API requests per month for free.
  * http://www.kinvey.com - Mobile backend, starter plan has unlimited requests per second, with 2 GB of data storage, as well as push notifications for up 5,000,000 unique recipients. Enterprise application support.
  * http://konacloud.io Web and Mobile Backend as a Service, with 5 GB free account.
  * https://layer.com/ - The full-stack building block for communications.
  * https://www.parse.com - Mobile backends, free plan has 30 requests per second, with 20 GB of file and database storage, as well as push notifications for up to 1,000,000 unique recipients.
  * http://quickblox.com/ - A communication backend for instant messaging, video and voice calling, and push notifications
  * https://pushbots.com - Push notification service. Free for up to 1,500,000 push/month.

## Web Hosting

  * https://www.simplybuilt.com - SimplyBuilt offers free website building and hosting for open source projects (http://www.simplybuilt.com/explore/free-websites-for-open-source-projects). Simple alternative to GitHub Pages.
  * http://www.devport.co - Turn GitHub projects, Apps, and websites into a personal developer portfolio.
  * https://www.netlify.com - Builds, deploy and hosts static site or app, free for 100 MB data and 1 GB bandwidth.
  * https://divshot.com/ - Static Web Hosting for Developers, free basic apps, 1 GB bandwidth, 100 MB storage, custom domains, subdomain SSL.

## IaaS

  * http://aws.amazon.com/free/ - AWS Free Tier - Free for 12 months
  * https://exoscale.ch/ - Free resources for Open Source projects
  * https://developer.rackspace.com/ - Rackspace Cloud gives $50/month for 12 months
  * https://cloud.google.com/compute/ - Google Compute Engine gives $300 over 60 days
  * https://cloud.google.com/container-engine/ - Google Container Engine for run Docker containers(Alpha). Pricing: same of Google Compute Engine.
  * https://nsone.net/ - Data Driven DNS, automatic traffic management, 1M free Queries
  * https://developer.rackspace.com/signup/ - Get $50/month for 12 months to use toward cloud services.

## DBaaS

   * https://cloudant.com/ - Hosted database from IBM, free if usage is below $50/month
   * https://realm.io - Free to use even for commercial projects, under Apache 2.0 License
   * https://orchestrate.io/ - 1 application free
   * https://redislabs.com/redis-cloud - Redis as a Service (25 mb free)
   * https://www.backand.com/ - Back-end as a service (for AngularJS)
   * http://www.zenginehq.com - Build business workflow apps in minutes - free for single users
   * https://parsehub.com/ — Extract data from dynamic sites, turn dynamic websites into APIs, 5 projects free.
   * https://import.io/ - Easily turn websites into APIs, completely free for life.
   * https://kimonolabs.com - "Turn websites into structured APIs from your browser in seconds", free for public APIs, up to 20 million pages fetch / month. Supports scheduling, JSON, CSV, post-auth, ...
   * https://redsmin.com/ - Online real-time monitoring and administration service for Redis, 1 Redis instance free
   * http://graphstory.com/ - GraphStory offers Neo4j (a Graph Database) as a service
   * http://www.elephantsql.com/ - PostgreSQL as a service (20mb free)

## STUN, WebRTC, Web Socket Servers and other Routers

   * https://pusher.com. Hosted Web Sockets broker. Free for up to 20 simultaneous connections and 100k messages a day.
   * stun:stun.l.google.com:19302 - Google STUN
   * stun:global.stun.twilio.com:3478?transport=udp - Twilio STUN
   * https://www.segment.com. Hub to translate and route events to other third party services. 100k events a month free.
   * https://ngrok.com/ - expose locally running servers over a tunnel to a public URL

## Issue tracking / Project management

   * https://www.pivotaltracker.com/community/public-projects - Pivotal Tracker. Free for public projects.
   * https://www.atlassian.com/opensource/overview - Free Jira etc for Open Source projects
   * https://kanbanflow.com/ - Board based project management. Free (premium version with more options).
   * https://kanbanpad.com/ - Board based project management. Free (premium version with more options).
   * https://kanbanery.com/ - Board based project management. Free for 2 users (premium tiers with more options).
   * https://zenhub.io/ - The only project management solution inside GitHub. Free for public repos, OSS, and non-profits.
   * https://trello.com/ - Board based project management. Free
   * https://waffle.io/ - Board based project management solution from your existing GitHub Issues. Free for open-source.
   * https://huboard.com/ - Instant project management for your GitHub issues. Free for open-source.
   * https://taiga.io/ - Project management platform for startups and agile developers. Free for open-source.
   * https://www.jetbrains.com/youtrack/buy/open_source_incloud.jsp - Free hosted YouTrack (InCloud) for FOSS projects (private projects free for 10 users: https://www.jetbrains.com/youtrack/buy/)
   * https://github.com - In addition to its git storage facility, github offers basic issue tracking
   * https://asana.com - Free for private project with collaborators.
   * http://www.acunote.com/ - Free project management and SCRUM software for up to 5 team members.
   * http://gliffy.com/ - Online diagrams: flowchart, UML, wireframe... Also Plugins for Jira & Confluence. 5 diagrams and 2 MB free.
   * https://cacoo.com/ - Online diagrams in real time: flowchart, UML, network. Free max. 15 users/diagram, 25 sheets.
   * https://www.draw.io/ - Online diagrams stored locally, in Google Drive, OneDrive or Dropbox. Free for all features and storage levels.
   * https://hub.jazz.net/ - IBM Bluemix's project management services. Free for public projects, free for up to 3 users for private projects.
   * http://leankit.com/ - Kanban board, that visualizes your workflow. Free up to 10 users.
   * https://www.visualstudio.com/products/what-is-visual-studio-online-vs - Unlimited free private code repositories; Tracks bugs, work items, feedback and more.
   * https://testlio.com - Issue tracking, test management and beta testing platform. Free for private use.

## Storage and Media Processing

   * https://www.aerofs.com/ - P2P file syncing, free for up to 30 users
   * http://cloudinary.com - Image upload, powerful manipulations, storage, and delivery for sites and apps, with libraries for Ruby, Python, Java, PHP, Objective-C and more. Perpetual free tier includes 7500 images/month, 2gb storage, 5gb bandwidth.
   * https://plot.ly - graph and share your data. Free tier includes unlimited public files and 10 private files.
   * https://transloadit.com - Handles file uploads & encoding of video, audio, images, documents. Free for open source & other do-gooders. Commercial applications get the first GB free for test driving.
   * https://podio.com/ - You can use Podio with a team of up to five people and try out the features of the Basic Plan - except User Management.
   * https://shrinkray.io - free image optimization of Github repos
   * https://www.cine.io - Scalable video broadcasting and p2p real-time video chat for iOS, Android, and web. Free tiers available for developers.

## Data Visualization on Maps

   * http://geocod.io - Geocoding via API or CSV Upload. 2.500 free queries per day.
   * http://gogeo.io/ - Maps and geospatial services with an easy to use API and support for big data
   * https://cartodb.com - Create maps and geospatial APIs from your data and public data.
   * http://www.giscloud.com - Visualize, analyze and share geo data online.
   * https://www.mapbox.com/ - Maps, geospatial services, and SDKs for displaying map data.

## Package Build Systems

   * https://build.opensuse.org/ - package build service for multiple distros (SUSE, EL, Fedora, Debian etc.)
   * https://copr.fedoraproject.org/ - mock-based RPM build service for Fedora and EL
   * https://help.launchpad.net/Packaging - Ubuntu and Debian build service

## IDE and Code Editing

   * https://c9.io - IDE in a browser. Incorporates an Ubuntu virtual machine and in-browser terminal access. Integrates with github and bitbucket, but also adds SFTP and generic Git access.
   * https://codeanywhere.com -  Full IDE in the browser and mobile apps. Access FTP, SFTP, Dropbox, Google Drive, GitHub, and BitBucket. Hosted virtual machines with terminal access. Collaboration features like share links, live editing, permissions, and version tracking.
   * https://koding.com - IDE in a browser. Features: Full sudo access - VMs hosted on Amazon EC2 - SSH Access - Real EC2 VM, no LXCs/hypervising - Custom sub-domains - Publicly accessible IP - Ubuntu 14.04 - IDE/Terminal/Collaboration
   * https://www.nitrous.io - Private Linux instance(s) with interactive collaboration, free for 2 hours a day. {[More Details](http://goo.gl/J1Zbsg)}
   * http://visualstudio.com/free - Fully-featured IDE with thousands of extensions, cross-platform app development (Microsoft extensions available for download for iOS and Android), desktop, web and cloud development, multi-language support (C#, C++, JavaScript, Python, PHP and more).
   * https://cloud.sagemath.com - Collaborative mathematics-oriented IDE in a browser, with support for Python, LaTeX, IPython Notebooks, etc.
   * https://wakatime.com - quantified self metrics about your coding activity, using text editor plugins - Limited plan for free.
   * https://codenvy.com/ - IDE in a browser, collaborative, git integration, build and run your app in customizable Docker-based runners (free 512Mb RAM to distribute between you runners), pre-integrated deploy to Google Apps.
   * https://apiary.io/ - Collaborative design API with instant API mock and generated documentation (Free for unlimited API blueprints and unlimited user with one admin account and hosted documentation)
   * https://www.mockable.io/ - Mockable is a simple configurable service to mock out RESTful API or SOAP web-services. This online service allows you to quickly define REST API or SOAP endpoints and have them return JSON or XML data.
   * https://www.jetbrains.com/products.html - Productivity tools, IDEs and deploy tools. Free license for students, teachers, open source projects, and user groups.
   * https://readme.io/ - Beautiful documentations made easy - free for Open Source
   * https://codio.com/ - Codio is a cloud-based computer programming platform for universities, schools, and developer professionals.
   * http://www.stackhive.com/ - Cloud based IDE in browser that supports HTML5/CSS3/jQuery/Bootstrap
   * http://www.tadpoledb.com/ - IDE in browser Database tool. Support Amazon RDS, Apache Hive, Apache Tajo, CUBRID, MariaDB, MySQL, Oracle, SQLite, MSSQL, PostgreSQL and MongoDB databases.
   * https://www.sourcelair.com - In-browser IDE for Django, JavaScript, HTML5, Python, and more. Integrates with Git, Mercurial, GitHub, Heroku and more. Free forever for 1 private project.

## Analytics, Events and  Statistics

 * https://www.librato.com/ - Event/Data collection service with analysis and graphs. Limited plan for free.
 * https://google.com/analytics/ - Google Analytics
 * https://heapanalytics.com/ - Automatically captures every user action in iOS or web apps. Free for up to 5,000 visits per month.
 * http://sematext.com/search-analytics - Free for up to 50K actions/month, 1 day data retention, unlimited dashboards, users, etc.
 * https://usabilityhub.com - Test designs and mockups on real people, track visitors. Free for one user, unlimited tests.
 * https://gosquared.com - Track up to 1,000 data points for free.
 * https://mixpanel.com - Free 25000 points or 200000 with their badge on your site.


## International Mobile number verification API and SDK
 * https://www.cognalys.com - Freemium mobile number verification through an innovative and reliable method than using SMS gateway. Free accounts will have 70 Tries and 50 verifications per day. {[Signup](https://www.cognalys.com/signup/1)}

## Payment / Billing Integration

 * https://www.braintreepayments.com - Credit Card, Paypal, Venmo, Bitcoin, Apple Pay (, ...) integration. Single and Recurrent Payments. First $50 are free of charge.

## Other Packs

 * https://education.github.com/pack - As long as you're a student at a recognized university

## Docker Related
### Alternate container hosting

  * https://quay.io/ - Unlimited free public containers

## Vagrant Related
### Vagrant box indexes

  * https://atlas.hashicorp.com/boxes/search - HashiCorp's index of boxes
  * http://vagrantbox.es - An alternative public box index

## Data mining
  * http://www.monkeylearn.com/ - Text mining in the cloud, 1,000 queries for free per month.
